Skip to main content
GET
/
v5
/
clientMgmt
/
client
Get a client
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/clientMgmt/client \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "email": "devops@hurdlr.com",
  "id": 123,
  "businessId": 123,
  "additionalContactName": "<string>",
  "showName": {},
  "businessName": "<string>",
  "showBusinessName": {},
  "status": "ACTIVE",
  "showEmail": {},
  "ccEmails": [
    "<string>"
  ],
  "bccEmails": [
    "<string>"
  ],
  "invoicePrefix": "INV",
  "isDefault": true,
  "phoneWork": "<string>",
  "showPhoneWork": {},
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "showAddress": {}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

id
string
default:""
required

Id of the specific client

Response

200 - application/json

Successful operation

name
string
required

Name for client

email
string
required

Default email used when your user sends an invoice to this client

Example:

"devops@hurdlr.com"

id
integer<int64>

Id of this client, required to update an existing client

businessId
integer<int64>

Id of the business this client belongs to

additionalContactName
string

Additional contact name for client

showName
object

Whether this client's address is displayed on invoices

businessName
string

Business name for client, used for display on invoices

showBusinessName
object

Whether this client's address is displayed on invoices

status
enum<string>

Status of this client

Available options:
ACTIVE,
INACTIVE
showEmail
object

Whether this client's address is displayed on invoices

ccEmails
string[]

List of email addresses to be cc'd by default when your user sends an invoice to this client

List of email addresses to be cc'd by default when your user sends an invoice to this client

bccEmails
string[]

List of email addresses to be bcc'd by default when your user sends an invoice to this client

List of email addresses to be bcc'd by default when your user sends an invoice to this client

invoicePrefix
string

The prefix used for invoices to this client

Example:

"INV"

isDefault
boolean

Whether or not this client is the default client for the associated business

phoneWork
string

This client's business phone number

showPhoneWork
object

Whether this client's address is displayed on invoices

address1
string

First line of this client's address

address2
string

Second line of this client's address

city
string

City of this client's address

state
string

State/Province of this client's address

zip
string

Zip/Postal code of this client's address

showAddress
object

Whether this client's address is displayed on invoices